#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import os
from gettext import gettext as _

from gi import require_version
require_version("Gtk", "3.0")

from gi.repository import Gtk
from gi.repository import Gdk

from ..configuration import *

class AboutWindow(Gtk.AboutDialog):

    main_window = None

    def __init__(self, app = None):
        Gtk.AboutDialog.__init__(self)

        if app is not None:
            self.main_window = app.window

        self.connect("response", self.dialog_response)

        """
        Build Settings
        """
        self.set_modal(True)
        self.set_type_hint(Gdk.WindowTypeHint.DIALOG)
        self.set_transient_for(self.main_window)
        self.set_position(Gtk.WindowPosition.CENTER_ON_PARENT)

        """
        Build Content
        """
        self.set_program_name(APP_NAME)
        self.set_website(APP_URL)
        self.set_version(APP_VERSION)
        self.set_comments(APP_DESCRIPTION)
        self.set_authors(APP_AUTHORS)
        self.set_translator_credits(' '.join(APP_TRANSLATORS))
        self.set_documenters(APP_DOCUMENTERS)
        self.set_license_type(APP_LICENSE)
        self.set_copyright(APP_COMMENTS)
        self.set_icon_name(APP_ICON_NAME)
        self.set_logo_icon_name(APP_LOGO_NAME)

    def dialog_response(self, dialog, response):
        dialog.destroy()

    def show(self):
        self.show_all()
